"use client";
import React from "react";
import ThemeCustomize from "../customizer/theme-customizer";
import { MenuBar, Settings, SiteLogo, DSearch } from "@/components/svg";
import Link from "next/link";
import { useTranslations } from "next-intl";

const MobileFooter = ({ handleOpenSearch }) => {

  const lang = useTranslations("Footer");

  return (
    <footer className="bg-card bg-no-repeat   shadow-[0_-4px_29px_#9595952b] dark:shadow-[0_-4px_29px_#000000cc] footer-bg  border-t dark:border-none flex justify-around items-center backdrop-filter backdrop-blur-[40px] fixed left-0 w-full z-50 bottom-0 py-[12px] px-4">
    
     
  
        
    {/* <p className="text-primary-foreground flex-1 text-base xl:text-lg font-medium">COPYRIGHT &copy All rights Reserved</p> */}
          <p sty className="text-black flex-none text-base font-medium">
           {lang("Hand_craftedMade_by")}
            <Link href="/" className="text-primary hover:underline">{lang("D2R_TECH")}</Link></p>
       
    </footer>
  );
};

export default MobileFooter;
